import * as React from 'react';
import { Coloring, DefaultProps, RenditionSystemProps, ResponsiveStyle, Sizing, Theme } from '../common-types';
import { InternalLinkProps } from './Link';
interface ButtonBaseProps extends Coloring, Sizing {
    width?: ResponsiveStyle;
    color?: string;
    bg?: string;
    active?: boolean;
    square?: boolean;
    disabled?: boolean;
    outline?: boolean;
    plaintext?: boolean;
    underline?: boolean;
    iconElement?: JSX.Element;
}
export interface InternalButtonAnchorProps extends ButtonBaseProps, InternalLinkProps {
}
export interface InternalButtonProps extends ButtonBaseProps, DefaultProps {
    type?: 'submit' | 'reset' | 'button';
}
export interface ThemedButtonProps extends InternalButtonProps {
    theme: Theme;
}
export declare type ButtonProps = InternalButtonProps & RenditionSystemProps;
export declare type ButtonAnchorProps = InternalButtonAnchorProps & RenditionSystemProps;
declare const Base: React.FunctionComponent<ButtonProps> & {
    a: React.FunctionComponent<ButtonAnchorProps>;
};
export default Base;
